Name:          pygtk2
Version:       2.24.0
Release:       24
License:       LGPLv2+
Summary:       An extension module for Python that gives you access to the GTK+ widget set
URL:           http://www.pygtk.org/
Source:        http://ftp.gnome.org/pub/GNOME/sources/pygtk/2.24/pygtk-%{version}.tar.bz2

Patch0000:     0001-Fix-leaks-of-Pango-objects.patch

Provides:      %{name}-codegen = %{version}-%{release}
Obsoletes:     %{name}-codegen < %{version}-%{release} gnome-python2-applet < 2.32.0-5
Requires:      pycairo pygobject2
BuildRequires: automake docbook-style-xsl libtool libxslt numpy
BuildRequires: glib2-devel >= 2.8.0 gtk2-devel >= 2.9.0 libglade2-devel >= 2.5.0 pango-devel >= 1.16.0
BuildRequires: pycairo-devel >= 1.0.2 pygobject2-devel >= 2.21.3 python2-devel >= 2.3.5

%description
PyGTK is a set of Python wrappers for the GTK+ graphical user interface library.
PyGTK is free software and licensed under the LGPL. It is analogous to PyQt/PySide
and wxPython, the Python wrappers for Qt and wxWidgets, respectively.

%package       libglade
Summary:       This package contains a wrapper for use with PyGTK for the libglade library
Requires:      %{name} = %{version}-%{release}

%description   libglade
Libglade allows a program to construct its user interface from an XML description,
which allows the programmer to keep the UI and program logic separate.

%package       devel
Summary:       This package contains development files
Requires:      %{name} = %{version}-%{release}
Requires:      pycairo-devel pygobject2-devel

%description   devel
This package contains development files which used in pygtk2.

%package       help
Summary:       Documentation files for pygtk2
BuildArch:     noarch
Provides:      %{name}-doc = %{version}-%{release}
Obsoletes:     %{name}-doc < %{version}-%{release}

%description   help
This package contains documentation files for pygtk2.

%prep
%autosetup -p1 -n pygtk-%{version}

for file in $(%{_bindir}/find . -name '*.py' -type f)
do
        sed -i.orig -e 's~#!/usr/bin/python~#!%{__python2}~' -e 's~#!/usr/bin/env python~#!%{__python2}~' ${file}
        touch -r ${file}.orig ${file}
        rm -f ${file}.orig
done

%build
%configure --enable-thread --enable-numpy
%make_build

%install
%make_install
%delete_la_and_a

%files
%doc AUTHORS COPYING NEWS README MAPPING
%{_bindir}/pygtk-{demo,codegen-2.0}
%{_libdir}/pygtk/
%{python2_sitearch}/gtk-2.0/*.so
%{python2_sitearch}/gtk-2.0/gtk/*.py*
%{python2_sitearch}/gtk-2.0/gtk/_gtk.so

%if %(pkg-config libglade-2.0 && echo 1 || echo 0)
%files libglade
%{python2_sitearch}/gtk-2.0/gtk/glade.so
%endif

%files devel
%{_datadir}/pygtk/
%{_includedir}/pygtk-2.0/
%{_libdir}/pkgconfig/pygtk-2.0.pc

%files help
%doc examples
%{_datadir}/gtk-doc/html/pygtk/

%changelog
* Thu Oct 24 2019 Yiru Wang <wangyiru1@huawei.com> - 2.24.0-24
- Pakcage init
